package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.HotSearchEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-06-15
 */
@ApiModel("热门搜索查询条件")
public class HotSearchSearch extends QueryInfo {

    @ApiModelProperty("编号/关键词")
    private String search;

    @ApiModelProperty(value = "状态  0：停用，1：启用",dataType = "int")
    private YesOrNoEnum status;

    @ApiModelProperty("类型 MUSIC:曲目和专辑 COURSE:课程")
    private HotSearchEnum type;

    public HotSearchEnum getType() {
        return type;
    }

    public void setType(HotSearchEnum type) {
        this.type = type;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }
}
